OpenNMS API 1.2.9

## org.opennms.netmgt.notifd.mock
Class MockGroupManager

    java.lang.Object
      org.opennms.netmgt.config.GroupManager
          org.opennms.netmgt.notifd.mock.MockGroupManager

public class MockGroupManager
extends GroupManager

Author:
  brozow TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Field Summary

Fields inherited from class org.opennms.netmgt.config.GroupManager
`m_dutySchedules`

Constructor Summary
`MockGroupManager(java.lang.String xmlString)`

Method Summary
`protected void` `saveXml(java.lang.String data)`
`protected void` `updateFromFile()`

Methods inherited from class org.opennms.netmgt.config.GroupManager
`deleteGroup, deleteUser, getGroup, getGroupNames, getGroups, groupNextOnDuty, hasGroup, isGroupOnDuty, parseXml, renameGroup, renameUser, saveGroup, saveGroups, setGroups`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockGroupManager

    public MockGroupManager(java.lang.String xmlString)
                     throws org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

Method Detail

### updateFromFile

    protected void updateFromFile()
                           throws java.io.IOException,
                                  org.exolab.castor.xml.MarshalException,
                                  org.exolab.castor.xml.ValidationException

  Specified by:
    `updateFromFile` in class `GroupManager`
  Throws:
    `org.exolab.castor.xml.ValidationException`
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`

### saveXml

    protected void saveXml(java.lang.String data)
                    throws java.io.IOException

  Specified by:
    `saveXml` in class `GroupManager`
  Parameters:
    `data` -
  Throws:
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.